# Hosted Management Pages

Hosted Management Pages are temporary pages which you can create to allow your customer to add new endpoints, debug delivery failures, and inspect/replay past webhooks deliveries.

Hosted Management Pages are the easiest way to get started with Hookshot.

### Creating a Management Session

A management session can be created with our Hookshot Client, or through the API.

{% hint style="warning" %}
Note that when creating a Management Session URL, it is highly recommended to redirect the user to the session directly. Do not email, text, or deliver in another way the session URL to the user, as the session URL can be utilized as a credential.
{% endhint %}

Python:

```
import hookshot

hookshothq.api_key = os.getenv("HOOKSHOT_API_TOKEN")

# Create a Management Session

management_session = hookshot.ManagementSession.create(
    realm=current_context.user_id,
)

# Redirect the User to `management_session.get("url")`
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hookshothq.com/getting-started/hosted-management-pages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
